Index: LMDZ5/branches/LMDZ6_rc0/libf/phylmd/aero_mod.F90
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/libf/phylmd/aero_mod.F90	(revision 2381)
+++ LMDZ5/branches/LMDZ6_rc0/libf/phylmd/aero_mod.F90	(revision 2575)
@@ -62,5 +62,19 @@
 
 ! 3/ Number of aerosol groups
-  INTEGER, PARAMETER :: naero_grp = 9 
+  INTEGER, PARAMETER :: naero_grp = 12
+  ! if info_trac = inca
+  ! 1 = ZERO    
+  ! 2 = AER total    
+  ! 3 = NAT    
+  ! 4 = BC    
+  ! 5 = SO4    
+  ! 6 = POM    
+  ! 7 = DUST    
+  ! 8 = SS    
+  ! 9 = FNO3    
+  ! 10 = DNO3
+  ! 11 = SNO3
+  ! 12 = empty actually 
+  ! else 
   ! 1 = ZERO    
   ! 2 = AER total    
Index: LMDZ5/branches/LMDZ6_rc0/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/libf/phylmd/phytrac_mod.F90	(revision 2381)
+++ LMDZ5/branches/LMDZ6_rc0/libf/phylmd/phytrac_mod.F90	(revision 2575)
@@ -101,4 +101,5 @@
 
     USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE aero_mod, ONLY : naero_grp
 
     IMPLICIT NONE
@@ -173,8 +174,8 @@
     LOGICAL,INTENT(IN)                       :: aerosol_couple
     REAL,DIMENSION(klon,klev),INTENT(IN)     :: flxmass_w
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: tau_aero
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: piz_aero
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: cg_aero
-    CHARACTER(len=4),DIMENSION(9),INTENT(IN) :: rfname 
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: tau_aero
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: piz_aero
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: cg_aero
+    CHARACTER(len=4),DIMENSION(naero_grp),INTENT(IN) :: rfname 
     REAL,DIMENSION(klon,klev,2),INTENT(IN)   :: ccm 
     !... K.Emanuel
Index: LMDZ5/branches/LMDZ6_rc0/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/libf/phylmd/radlwsw_m.F90	(revision 2381)
+++ LMDZ5/branches/LMDZ6_rc0/libf/phylmd/radlwsw_m.F90	(revision 2575)
@@ -74,7 +74,6 @@
       USE YOERRTWN , ONLY : DELWAVE   ,TOTPLNK      
       USE YOMPHY3  , ONLY : RII0
-#else
-      USE aero_mod, ONLY : nbands_lw_rrtm
 #endif
+      USE aero_mod
 
   !======================================================================
@@ -187,7 +186,7 @@
   LOGICAL, INTENT(in)  :: flag_aerosol_strat                             ! use stratospheric aerosols
   REAL,    INTENT(in)  :: cldfra(KLON,KLEV), cldemi(KLON,KLEV), cldtaupd(KLON,KLEV)
-  REAL,    INTENT(in)  :: tau_aero(KLON,KLEV,9,2)                        ! aerosol optical properties (see aeropt.F)
-  REAL,    INTENT(in)  :: piz_aero(KLON,KLEV,9,2)                        ! aerosol optical properties (see aeropt.F)
-  REAL,    INTENT(in)  :: cg_aero(KLON,KLEV,9,2)                         ! aerosol optical properties (see aeropt.F)
+  REAL,    INTENT(in)  :: tau_aero(KLON,KLEV,naero_grp,2)                        ! aerosol optical properties (see aeropt.F)
+  REAL,    INTENT(in)  :: piz_aero(KLON,KLEV,naero_grp,2)                        ! aerosol optical properties (see aeropt.F)
+  REAL,    INTENT(in)  :: cg_aero(KLON,KLEV,naero_grp,2)                         ! aerosol optical properties (see aeropt.F)
 !--OB
   REAL,    INTENT(in)  :: tau_aero_sw_rrtm(KLON,KLEV,2,NSW)                 ! aerosol optical properties RRTM
@@ -285,7 +284,7 @@
   REAL(KIND=8) zsolsw0(kdlon), zsollw0(kdlon)
   REAL(KIND=8) zznormcp
-  REAL(KIND=8) tauaero(kdlon,kflev,9,2)                     ! aer opt properties
-  REAL(KIND=8) pizaero(kdlon,kflev,9,2)
-  REAL(KIND=8) cgaero(kdlon,kflev,9,2)
+  REAL(KIND=8) tauaero(kdlon,kflev,naero_grp,2)                     ! aer opt properties
+  REAL(KIND=8) pizaero(kdlon,kflev,naero_grp,2)
+  REAL(KIND=8) cgaero(kdlon,kflev,naero_grp,2)
   REAL(KIND=8) PTAUA(kdlon,2,kflev)                         ! present-day value of cloud opt thickness (PTAU is pre-industrial value), local use
   REAL(KIND=8) POMEGAA(kdlon,2,kflev)                       ! dito for single scatt albedo
Index: LMDZ5/branches/LMDZ6_rc0/libf/phylmd/sw_aeroAR4.F90
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/libf/phylmd/sw_aeroAR4.F90	(revision 2381)
+++ LMDZ5/branches/LMDZ6_rc0/libf/phylmd/sw_aeroAR4.F90	(revision 2575)
@@ -22,4 +22,5 @@
   USE dimphy
   USE phys_output_mod, ONLY : swaero_diag
+  USE aero_mod, ONLY : naero_grp
   IMPLICIT NONE
 
@@ -140,7 +141,7 @@
   LOGICAL flag_aerosol_strat ! use stratospehric aerosols
   INTEGER flag_aerosol      ! global flag for aerosol 0 (no aerosol) or 1-5 (aerosols)
-  REAL(KIND=8) tauaero(kdlon,kflev,9,2)  ! aerosol optical properties
-  REAL(KIND=8) pizaero(kdlon,kflev,9,2)  ! (see aeropt.F)
-  REAL(KIND=8) cgaero(kdlon,kflev,9,2)   ! -"-
+  REAL(KIND=8) tauaero(kdlon,kflev,naero_grp,2)  ! aerosol optical properties
+  REAL(KIND=8) pizaero(kdlon,kflev,naero_grp,2)  ! (see aeropt.F)
+  REAL(KIND=8) cgaero(kdlon,kflev,naero_grp,2)   ! -"-
   REAL(KIND=8) PTAUA(KDLON,2,KFLEV)    ! CLOUD OPTICAL THICKNESS (present-day value)
   REAL(KIND=8) POMEGAA(KDLON,2,KFLEV)  ! SINGLE SCATTERING ALBEDO
Index: LMDZ5/branches/LMDZ6_rc0/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ5/branches/LMDZ6_rc0/libf/phylmd/tracinca_mod.F90	(revision 2381)
+++ LMDZ5/branches/LMDZ6_rc0/libf/phylmd/tracinca_mod.F90	(revision 2575)
@@ -48,5 +48,7 @@
     USE indice_sol_mod
 
-    
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE aero_mod, ONLY : naero_grp
+
     IMPLICIT NONE
     
@@ -97,8 +99,8 @@
     LOGICAL,INTENT(IN)                       :: aerosol_couple
     REAL,DIMENSION(klon,klev),INTENT(IN)     :: flxmass_w
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: tau_aero
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: piz_aero
-    REAL,DIMENSION(klon,klev,9,2),INTENT(IN) :: cg_aero
-    CHARACTER(len=4),DIMENSION(9),INTENT(IN) :: rfname 
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: tau_aero
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: piz_aero
+    REAL,DIMENSION(klon,klev,naero_grp,2),INTENT(IN) :: cg_aero
+    CHARACTER(len=4),DIMENSION(naero_grp),INTENT(IN) :: rfname 
     REAL,DIMENSION(klon,klev,2),INTENT(IN)   :: ccm 
 
@@ -148,8 +150,5 @@
          rh,tau_aero,piz_aero,cg_aero,   &
          rfname,ccm,lafin, config_inca)
-#endif
 
-
-#ifdef INCA
     CALL chemmain (tr_seri, &   !mmr
          nstep,      & !nstep
@@ -183,6 +182,6 @@
          sh,         & !sh
          rh,         & !rh
-         iip1,       & !nx
-         jjp1,       & !ny
+         nbp_lon,   & !nx
+         nbp_lat,    & !ny
          source )
 #endif