Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2600)
@@ -35,4 +35,5 @@
 #endif 
       USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
+      USE comvert_mod, ONLY: preff, presnivs
       
       IMPLICIT NONE
@@ -90,14 +91,13 @@
 c    ------------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "temps.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "temps.h"
 
       INTEGER ngridmx
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comvert.h"
-#include "comgeom2.h"
-#include "iniprint.h"
+      include "comgeom2.h"
+      include "iniprint.h"
 
 c    Arguments :
Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis_loc.F	(revision 2600)
@@ -50,4 +50,5 @@
       USE callphysiq_mod, ONLY: call_physiq
 #endif 
+      USE comvert_mod, ONLY: preff, presnivs
       USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
 
@@ -115,5 +116,4 @@
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-      include "comvert.h"
       include "comgeom2.h"
       include "iniprint.h"
@@ -277,5 +277,5 @@
       ALLOCATE(flxwfi(klon,llm))
 c$OMP END MASTER
-c$OMP BARRIER	  
+c$OMP BARRIER          
       ELSE
           debut = .FALSE.
@@ -365,5 +365,5 @@
            enddo
          ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
       ENDDO
 
@@ -382,5 +382,5 @@
            enddo
          ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
 
 c      CALL gr_dyn_fi_p(llm,iip1,jjp1,klon,pphi,zphi)
@@ -403,7 +403,7 @@
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
       DO l=1,llm
-	 DO ig=1,klon
-	   zphi(ig,l)=zphi(ig,l)-zphis(ig)
-	 ENDDO
+         DO ig=1,klon
+           zphi(ig,l)=zphi(ig,l)-zphis(ig)
+         ENDDO
       ENDDO
 c$OMP END DO NOWAIT
@@ -532,10 +532,10 @@
            DO i=2,iim
              z1(i)   =(rlonu(i)-rlonu(i-1))*pvcov(i,jjm,l)/cv(i,jjm)
-	   ENDDO
+           ENDDO
   
            DO i=1,iim
               zcos(i)    = COS(rlonv(i))*z1(i)
               zsin(i)    = SIN(rlonv(i))*z1(i)
-	   ENDDO
+           ENDDO
   
            zufi(klon,l)  = SSUM(iim,zcos,1)/pi
@@ -590,8 +590,8 @@
         allocate(zdpsrf_omp(klon))
         allocate(flxwfi_omp(klon,llm))
-	first_omp=.false.
+        first_omp=.false.
       endif
        
-	   
+           
       klon=klon_omp
       offset=klon_omp_begin-1
@@ -600,88 +600,88 @@
         do i=1,klon
           zplev_omp(i,l)=zplev(offset+i,l)
-	enddo 
-      enddo
-	  
+        enddo 
+      enddo
+          
        do l=1,llm
         do i=1,klon  
-	  zplay_omp(i,l)=zplay(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zphi_omp(i,l)=zphi(offset+i,l)
-	enddo 
-      enddo
-	
+          zplay_omp(i,l)=zplay(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zphi_omp(i,l)=zphi(offset+i,l)
+        enddo 
+      enddo
+        
       do i=1,klon
-	zphis_omp(i)=zphis(offset+i)
+        zphis_omp(i)=zphis(offset+i)
       enddo 
      
-	
+        
       do l=1,llm
         presnivs_omp(l)=presnivs(l)
       enddo 
-	
-      do l=1,llm
-        do i=1,klon
-	  zufi_omp(i,l)=zufi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zvfi_omp(i,l)=zvfi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zrfi_omp(i,l)=zrfi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  ztfi_omp(i,l)=ztfi(offset+i,l)
-	enddo 
-      enddo
-	
+        
+      do l=1,llm
+        do i=1,klon
+          zufi_omp(i,l)=zufi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zvfi_omp(i,l)=zvfi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zrfi_omp(i,l)=zrfi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          ztfi_omp(i,l)=ztfi(offset+i,l)
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
             zqfi_omp(i,l,iq)=zqfi(offset+i,l,iq)
-	  enddo
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdufi_omp(i,l)=zdufi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdvfi_omp(i,l)=zdvfi(offset+i,l)
-	enddo 
-      enddo
-	
+          enddo
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdufi_omp(i,l)=zdufi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdvfi_omp(i,l)=zdvfi(offset+i,l)
+        enddo 
+      enddo
+        
       do l=1,llm
         do i=1,klon
           zdtfi_omp(i,l)=zdtfi(offset+i,l)
-	enddo 
-      enddo
-	
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
-	    zdqfi_omp(i,l,iq)=zdqfi(offset+i,l,iq)
-	  enddo 
+            zdqfi_omp(i,l,iq)=zdqfi(offset+i,l,iq)
+          enddo 
         enddo
       enddo
-      	
+              
       do i=1,klon
-	zdpsrf_omp(i)=zdpsrf(offset+i)
+        zdpsrf_omp(i)=zdpsrf(offset+i)
       enddo 
 
@@ -689,5 +689,5 @@
         do i=1,klon
           flxwfi_omp(i,l)=flxwfi(offset+i,l)
-	enddo 
+        enddo 
       enddo
       
@@ -749,83 +749,83 @@
         do i=1,klon
           zplev(offset+i,l)=zplev_omp(i,l)
-	enddo 
-      enddo
-	  
+        enddo 
+      enddo
+          
        do l=1,llm
         do i=1,klon  
-	  zplay(offset+i,l)=zplay_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zphi(offset+i,l)=zphi_omp(i,l)
-	enddo 
-      enddo
-	
+          zplay(offset+i,l)=zplay_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zphi(offset+i,l)=zphi_omp(i,l)
+        enddo 
+      enddo
+        
 
       do i=1,klon
-	zphis(offset+i)=zphis_omp(i)
+        zphis(offset+i)=zphis_omp(i)
       enddo 
      
-	
+        
       do l=1,llm
         presnivs(l)=presnivs_omp(l)
       enddo 
-	
-      do l=1,llm
-        do i=1,klon
-	  zufi(offset+i,l)=zufi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zvfi(offset+i,l)=zvfi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  ztfi(offset+i,l)=ztfi_omp(i,l)
-	enddo 
-      enddo
-	
+        
+      do l=1,llm
+        do i=1,klon
+          zufi(offset+i,l)=zufi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zvfi(offset+i,l)=zvfi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          ztfi(offset+i,l)=ztfi_omp(i,l)
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
             zqfi(offset+i,l,iq)=zqfi_omp(i,l,iq)
-	  enddo
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdufi(offset+i,l)=zdufi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdvfi(offset+i,l)=zdvfi_omp(i,l)
-	enddo 
-      enddo
-	
+          enddo
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdufi(offset+i,l)=zdufi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdvfi(offset+i,l)=zdvfi_omp(i,l)
+        enddo 
+      enddo
+        
       do l=1,llm
         do i=1,klon
           zdtfi(offset+i,l)=zdtfi_omp(i,l)
-	enddo 
-      enddo
-	
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
-	    zdqfi(offset+i,l,iq)=zdqfi_omp(i,l,iq)
-	  enddo 
+            zdqfi(offset+i,l,iq)=zdqfi_omp(i,l,iq)
+          enddo 
         enddo
       enddo
-      	
+              
       do i=1,klon
-	zdpsrf(offset+i)=zdpsrf_omp(i)
+        zdpsrf(offset+i)=zdpsrf_omp(i)
       enddo 
       
@@ -929,5 +929,5 @@
        
        if (.not. is_south_pole_dyn) then
-	 pdpsfi(:,jj_end:jj_end+1)=0
+         pdpsfi(:,jj_end:jj_end+1)=0
        endif
 c$OMP END MASTER
@@ -1045,5 +1045,5 @@
         pdqfi(:,jj_begin:jj_end,l,:)=0.
       ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
 
 C
@@ -1056,5 +1056,5 @@
 !CDIR ON_ADB(index_j) 
 !cdir NODEP           
-	     DO ig0=kstart,kend
+             DO ig0=kstart,kend
               i=index_i(ig0)
               j=index_j(ig0)
@@ -1062,19 +1062,19 @@
               if (i==1) pdqfi(iip1,j,l,iiq) = zdqfi(ig0,l,iq)
             ENDDO
-	    
-	    IF (is_north_pole_dyn) then
-	      DO i=1,iip1
+            
+            IF (is_north_pole_dyn) then
+              DO i=1,iip1
                 pdqfi(i,1,l,iiq)    = zdqfi(1,l,iq)
-	      ENDDO
-	    ENDIF
-	    
-	    IF (is_south_pole_dyn) then
-	      DO i=1,iip1
+              ENDDO
+            ENDIF
+            
+            IF (is_south_pole_dyn) then
+              DO i=1,iip1
                 pdqfi(i,jjp1,l,iiq) = zdqfi(klon,l,iq)
-	      ENDDO
-	    ENDIF
-	    
+              ENDDO
+            ENDIF
+            
          ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
       ENDDO
       
@@ -1136,6 +1136,6 @@
            pdvfi(i,j,l)=0.5*(zdvfi2(ig0,l)+zdvfi2(ig0+iim,l))*cv(i,j)
            if (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+
-     $	                                    zdvfi2(ig0+iim,l))
-     $				          *cv(i,j)
+     $                                            zdvfi2(ig0+iim,l))
+     $                                          *cv(i,j)
         enddo
          
Index: LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/calfis_p.F	(revision 2600)
@@ -47,4 +47,5 @@
       USE callphysiq_mod, ONLY: call_physiq
 #endif 
+      USE comvert_mod, ONLY: preff, presnivs
       USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
 
@@ -111,5 +112,4 @@
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comvert.h"
 #include "comgeom2.h"
 #include "iniprint.h"
@@ -277,5 +277,5 @@
       ALLOCATE(flxwfi(klon,llm))
 c$OMP END MASTER
-c$OMP BARRIER	  
+c$OMP BARRIER          
       ELSE
           debut = .FALSE.
@@ -365,5 +365,5 @@
            enddo
          ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
       ENDDO
 
@@ -380,7 +380,7 @@
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
       DO l=1,llm
-	 DO ig=1,klon
-	   zphi(ig,l)=zphi(ig,l)-zphis(ig)
-	 ENDDO
+         DO ig=1,klon
+           zphi(ig,l)=zphi(ig,l)-zphis(ig)
+         ENDDO
       ENDDO
 c$OMP END DO NOWAIT
@@ -510,10 +510,10 @@
            DO i=2,iim
              z1(i)   =(rlonu(i)-rlonu(i-1))*pvcov(i,jjm,l)/cv(i,jjm)
-	   ENDDO
+           ENDDO
   
            DO i=1,iim
               zcos(i)    = COS(rlonv(i))*z1(i)
               zsin(i)    = SIN(rlonv(i))*z1(i)
-	   ENDDO
+           ENDDO
   
            zufi(klon,l)  = SSUM(iim,zcos,1)/pi
@@ -556,8 +556,8 @@
         allocate(zdpsrf_omp(klon))
         allocate(flxwfi_omp(klon,llm))
-	first_omp=.false.
+        first_omp=.false.
       endif
        
-	   
+           
       klon=klon_omp
       offset=klon_omp_begin-1
@@ -566,89 +566,89 @@
         do i=1,klon
           zplev_omp(i,l)=zplev(offset+i,l)
-	enddo 
-      enddo
-	  
+        enddo 
+      enddo
+          
        do l=1,llm
         do i=1,klon  
-	  zplay_omp(i,l)=zplay(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zphi_omp(i,l)=zphi(offset+i,l)
-	enddo 
-      enddo
-	
+          zplay_omp(i,l)=zplay(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zphi_omp(i,l)=zphi(offset+i,l)
+        enddo 
+      enddo
+        
       do i=1,klon
-	zphis_omp(i)=zphis(offset+i)
+        zphis_omp(i)=zphis(offset+i)
       enddo 
      
-	
+        
       do l=1,llm
         presnivs_omp(l)=presnivs(l)
       enddo 
-	
-      do l=1,llm
-        do i=1,klon
-	  zufi_omp(i,l)=zufi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zvfi_omp(i,l)=zvfi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zrfi_omp(i,l)=zrfi(offset+i,l)
-	enddo 
-      enddo
-	
-	
-      do l=1,llm
-        do i=1,klon
-	  ztfi_omp(i,l)=ztfi(offset+i,l)
-	enddo 
-      enddo
-	
+        
+      do l=1,llm
+        do i=1,klon
+          zufi_omp(i,l)=zufi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zvfi_omp(i,l)=zvfi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zrfi_omp(i,l)=zrfi(offset+i,l)
+        enddo 
+      enddo
+        
+        
+      do l=1,llm
+        do i=1,klon
+          ztfi_omp(i,l)=ztfi(offset+i,l)
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
             zqfi_omp(i,l,iq)=zqfi(offset+i,l,iq)
-	  enddo
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdufi_omp(i,l)=zdufi(offset+i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdvfi_omp(i,l)=zdvfi(offset+i,l)
-	enddo 
-      enddo
-	
+          enddo
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdufi_omp(i,l)=zdufi(offset+i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdvfi_omp(i,l)=zdvfi(offset+i,l)
+        enddo 
+      enddo
+        
       do l=1,llm
         do i=1,klon
           zdtfi_omp(i,l)=zdtfi(offset+i,l)
-	enddo 
-      enddo
-	
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
-	    zdqfi_omp(i,l,iq)=zdqfi(offset+i,l,iq)
-	  enddo 
+            zdqfi_omp(i,l,iq)=zdqfi(offset+i,l,iq)
+          enddo 
         enddo
       enddo
-      	
+              
       do i=1,klon
-	zdpsrf_omp(i)=zdpsrf(offset+i)
+        zdpsrf_omp(i)=zdpsrf(offset+i)
       enddo 
 
@@ -656,5 +656,5 @@
         do i=1,klon
           flxwfi_omp(i,l)=flxwfi(offset+i,l)
-	enddo 
+        enddo 
       enddo
       
@@ -713,83 +713,83 @@
         do i=1,klon
           zplev(offset+i,l)=zplev_omp(i,l)
-	enddo 
-      enddo
-	  
+        enddo 
+      enddo
+          
        do l=1,llm
         do i=1,klon  
-	  zplay(offset+i,l)=zplay_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zphi(offset+i,l)=zphi_omp(i,l)
-	enddo 
-      enddo
-	
+          zplay(offset+i,l)=zplay_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zphi(offset+i,l)=zphi_omp(i,l)
+        enddo 
+      enddo
+        
 
       do i=1,klon
-	zphis(offset+i)=zphis_omp(i)
+        zphis(offset+i)=zphis_omp(i)
       enddo 
      
-	
+        
       do l=1,llm
         presnivs(l)=presnivs_omp(l)
       enddo 
-	
-      do l=1,llm
-        do i=1,klon
-	  zufi(offset+i,l)=zufi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zvfi(offset+i,l)=zvfi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  ztfi(offset+i,l)=ztfi_omp(i,l)
-	enddo 
-      enddo
-	
+        
+      do l=1,llm
+        do i=1,klon
+          zufi(offset+i,l)=zufi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zvfi(offset+i,l)=zvfi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          ztfi(offset+i,l)=ztfi_omp(i,l)
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
             zqfi(offset+i,l,iq)=zqfi_omp(i,l,iq)
-	  enddo
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdufi(offset+i,l)=zdufi_omp(i,l)
-	enddo 
-      enddo
-	
-      do l=1,llm
-        do i=1,klon
-	  zdvfi(offset+i,l)=zdvfi_omp(i,l)
-	enddo 
-      enddo
-	
+          enddo
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdufi(offset+i,l)=zdufi_omp(i,l)
+        enddo 
+      enddo
+        
+      do l=1,llm
+        do i=1,klon
+          zdvfi(offset+i,l)=zdvfi_omp(i,l)
+        enddo 
+      enddo
+        
       do l=1,llm
         do i=1,klon
           zdtfi(offset+i,l)=zdtfi_omp(i,l)
-	enddo 
-      enddo
-	
+        enddo 
+      enddo
+        
       do iq=1,nqtot
         do l=1,llm
           do i=1,klon
-	    zdqfi(offset+i,l,iq)=zdqfi_omp(i,l,iq)
-	  enddo 
+            zdqfi(offset+i,l,iq)=zdqfi_omp(i,l,iq)
+          enddo 
         enddo
       enddo
-      	
+              
       do i=1,klon
-	zdpsrf(offset+i)=zdpsrf_omp(i)
+        zdpsrf(offset+i)=zdpsrf_omp(i)
       enddo 
       
@@ -892,5 +892,5 @@
        pdpsfi(:,jj_begin)=0    
        if (.not. is_south_pole_dyn) then
-	 pdpsfi(:,jj_end)=0
+         pdpsfi(:,jj_end)=0
        endif
 c$OMP END MASTER
@@ -976,5 +976,5 @@
         pdqfi(:,:,l,:)=0.
       ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
 
 C
@@ -987,5 +987,5 @@
 !CDIR ON_ADB(index_j) 
 !cdir NODEP           
-	     DO ig0=kstart,kend
+             DO ig0=kstart,kend
               i=index_i(ig0)
               j=index_j(ig0)
@@ -993,19 +993,19 @@
               if (i==1) pdqfi(iip1,j,l,iiq) = zdqfi(ig0,l,iq)
             ENDDO
-	    
-	    IF (is_north_pole_dyn) then
-	      DO i=1,iip1
+            
+            IF (is_north_pole_dyn) then
+              DO i=1,iip1
                 pdqfi(i,1,l,iiq)    = zdqfi(1,l,iq)
-	      ENDDO
-	    ENDIF
-	    
-	    IF (is_south_pole_dyn) then
-	      DO i=1,iip1
+              ENDDO
+            ENDIF
+            
+            IF (is_south_pole_dyn) then
+              DO i=1,iip1
                 pdqfi(i,jjp1,l,iiq) = zdqfi(klon,l,iq)
-	      ENDDO
-	    ENDIF
-	    
+              ENDDO
+            ENDIF
+            
          ENDDO
-c$OMP END DO NOWAIT	 
+c$OMP END DO NOWAIT         
       ENDDO
       
@@ -1067,6 +1067,6 @@
            pdvfi(i,j,l)=0.5*(zdvfi2(ig0,l)+zdvfi2(ig0+iim,l))*cv(i,j)
            if (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+
-     $	                                    zdvfi2(ig0+iim,l))
-     $				          *cv(i,j)
+     $                                            zdvfi2(ig0+iim,l))
+     $                                          *cv(i,j)
         enddo
          
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 2600)
@@ -36,4 +36,5 @@
   USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, kappa, omeg, r, rad, &
                           pi, jmp1
+  USE comvert_mod, ONLY: pa, preff, pressure_exner
 
   IMPLICIT NONE
@@ -44,5 +45,4 @@
   include "paramet.h"
   include "comgeom2.h"
-  include "comvert.h"
   include "iniprint.h"
   include "temps.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 2600)
@@ -37,4 +37,5 @@
   USE assert_eq_m,    ONLY: assert_eq
   USE comconst_mod, ONLY: pi, cpp, kappa
+  USE comvert_mod, ONLY: ap, bp, preff, pressure_exner
   IMPLICIT NONE
 
@@ -46,5 +47,4 @@
   include "paramet.h"
   include "comgeom2.h"
-  include "comvert.h"
   include "temps.h"
   include "comdissnew.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2600)
@@ -12,4 +12,5 @@
                      prad,pg,pr,pcpp,iflag_phys)
   USE dimphy, ONLY: init_dimphy
+  USE comvert_mod, ONLY: preff, ap, bp, presnivs, scaleheight, pseudoalt
   USE inigeomphy_mod, ONLY: inigeomphy
   USE mod_grid_phy_lmdz, ONLY: klon_glo ! number of atmospheric columns (on full grid)
@@ -50,5 +51,4 @@
 
   include "dimensions.h"
-  include "comvert.h"
   include "iniprint.h"
   include "temps.h"
Index: LMDZ5/trunk/libf/dynphy_lonlat/phymar/iniphysiq_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dynphy_lonlat/phymar/iniphysiq_mod.F90	(revision 2599)
+++ LMDZ5/trunk/libf/dynphy_lonlat/phymar/iniphysiq_mod.F90	(revision 2600)
@@ -12,4 +12,5 @@
                      prad,pg,pr,pcpp,iflag_phys)
   USE dimphy, ONLY: init_dimphy
+  USE comvert_mod, ONLY: preff, ap, bp, presnivs, scaleheight, pseudoalt
   USE inigeomphy_mod, ONLY: inigeomphy
   USE vertical_layers_mod, ONLY : init_vertical_layers
@@ -29,6 +30,4 @@
  
  
-  include "dimensions.h"
-  include "comvert.h"
   include "iniprint.h"
 