Index: LMDZ5/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 2630)
+++ LMDZ5/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 2632)
@@ -1007,12 +1007,9 @@
 
 
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,it))
-      enddo
-
 
       if (debutphy) then
+#ifdef IOPHYS_DUST
          CALL iophys_ini
+#endif
          nbreg_ind=1
          nbreg_bb=1
@@ -1022,4 +1019,11 @@
       endif
 
+
+#ifdef IOPHYS_DUST
+      do it=1,nbtr
+         write(str2,'(i2.2)') it
+         call iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      enddo
+#endif
 
   
@@ -2611,4 +2615,5 @@
 !      print *,'tr_seri = ',SUM(tr_seri(:,:,3)),MINVAL(tr_seri(:,:,3)),
 !     .                                         MAXVAL(tr_seri(:,:,3))
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
@@ -2616,4 +2621,5 @@
          call iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,it))
       enddo
+#endif
 
       do it=1,nbtr
@@ -2643,4 +2649,5 @@
                                                      source_tr,flux_tr)    
 
+#ifdef IOPHYS_DUST
 
       do it=1,nbtr
@@ -2649,4 +2656,5 @@
          call iophys_ecrit('fap'//str2,1,'SOURCE','',source_tr(:,it))
       enddo
+#endif
 
       IF (lminmax) THEN
@@ -2667,4 +2675,5 @@
 !======================================================================
 !
+#ifdef IOPHYS_DUST
 !
       print *,'INPUT TO PRECUREMISSION'
@@ -2705,4 +2714,5 @@
          call iophys_ecrit('flux_sparam_ind',1,'flux_sparam_ind','',flux_sparam_ind)
          call iophys_ecrit('flux_sparam_bb',1,'flux_sparam_bb','',flux_sparam_bb)
+#endif
 
 
@@ -2738,4 +2748,5 @@
 !                      EMISSIONS OF FINE AEROSOLS
 !=======================================================================
+#ifdef IOPHYS_DUST
 !
       do it=1,nbtr
@@ -2744,4 +2755,5 @@
          call iophys_ecrit('fpr'//str2,1,'SOURCE','',flux_tr(:,it))
       enddo
+#endif
 
       CALL finemission(zdz,pdtphys,zalt,kminbc,kmaxbc,                     & 
@@ -2784,4 +2796,5 @@
 
 
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
@@ -2789,4 +2802,5 @@
          call iophys_ecrit('f'//str2,1,'SOURCE','',flux_tr(:,it))
       enddo
+#endif
 !
 !
@@ -2842,8 +2856,10 @@
       ENDIF
 
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
       CALL deposition(vdep_oce,vdep_sic,vdep_ter,vdep_lic,pctsrf,      &
@@ -2882,8 +2898,10 @@
 !======================================================================
 
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -2951,4 +2969,5 @@
 !======================================================================
 
+#ifdef IOPHYS_DUST
       print*,'iflag_conv=',iflag_conv
       call iophys_ecrit('coefh',klev,'coefh','',coefh)
@@ -2960,4 +2979,5 @@
          call iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -3153,8 +3173,10 @@
 !
 !=======================================================================
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -3245,8 +3267,10 @@
 !
 
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -3418,8 +3442,10 @@
 !======================================================================
 !
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -3599,4 +3625,5 @@
 !=======================================================================
 !     
+#ifdef IOPHYS_DUST
       call iophys_ecrit('da',klev,'da','',da)
       call iophys_ecrit('phi',klev,'phi','',phi)
@@ -3623,4 +3650,5 @@
          call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -3736,8 +3764,10 @@
 !                         COMPUTING THE BURDEN
 !=======================================================================
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 !   
@@ -4078,8 +4108,10 @@
 !  Stockage sur bande histoire
 !======================================================================
+#ifdef IOPHYS_DUST
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 